apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: ollama-models-cache
  namespace: llm
  labels:
    app.kubernetes.io/name: ollama
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: {{ .Values.pvc.storageClassName }}
  resources:
    requests:
      storage: {{ .Values.pvc.size }}
